Bargraph (segmented)

Symbol:

Description:

This function block is used to refer to a bar graph in a HMI, where two bars can be display on top of each other.

The input bShow is used to show or hide the HMI object. The inputs lPosB1 and lLenB1 are used to define the start vale and length of the bar one. The inputs lPosB1 and lLenB1 are used for the same purpose for the second bar. With lClrB1 und lClrB2 the colors of the two bars can be set.

If the starting position of any bar is out of the defined minimum/maximum, this bar will not be displayed.

HMI-Object:

The HMI object displays a horizontal or vertical bar graph, depending on the aspect ratio. It is able to draw two bars on top of each other. The two bars are independent of each other. In the HMI this object will depicted by drawing the background first and then the bar one and after that bar two. When the two bars overlap each other, the second bar is in the foreground. A scale can be shown, too. In case of a horizontal bar the scale is depicted above the bar, otherwise it is depicted left of the bar.

Parameter:

In the parameter dialog a HMI object of the type "bargraph (segmented)" is assigned to the function block.

Using the context menu of the function block the mask designer can be invoked as the parameter dialog. The mask designer is used to create the assignment to the HMI object. Now the preferences of the HMI object can be set with the help of the mask designer.

In the parameter dialog of the object, the display style (with frame, no frame, raised, and recessed) can be selected. The colors of the different elements of the object can be configured. This includes a specific display to indicate a value overflow. Additionally the minimum and maximum value can be given. Finally the features of the scale can be configured.

Signals:

Name

I/O

Type(s)

Function

bShow

I

BIT

Show / hide object

lPosB1

I

LONG

Start position bar 1

lLenB1

I

LONG

Length bar 1

lPosB2

I

LONG

Start position bar 2

lLenB2

I

LONG

Length bar 2

lClrB1

I

LONG

Color of bar 1

lClrB2

I

LONG

Color of bar 2

Note: If inputs are not connected the object appears with the corresponding default parameters that have been entered in the mask designer. Otherwise the input signal from the function block overwrites the according setting from the parameter dialog.

Visualization:

The colored highlight in the function block indicates, whether a HMI object is assigned or not.

Comment:

The inputs lPosB1 and lLenB1 or lPosB2 and lLenB2 have to be connected/not connected as pairs.


Bitmap Button / Switch

Symbol:

Description:

This function block is used to refer to a button or switch in a HMI, which is able to display a bitmap.

The input bShow is used to show or hide the HMI object. It is enabled with a HIGH signal on the input bEnable and disabled with a LOW signal. The inputs iBmp1 to iBmp4 are used to assign background bitmaps for the button states “normal”, “pressed”, “disabled” and “disabled + pressed”. A label is assigned via the inputs iText or sText. With iText a language specific text resource is selected. The plain text that is connected to sText is displayed if iText is not connected or the parameter value “undefined” is assigned to it. The language of the used bitmap and text resources is specified at input iLang. Additionally the background and the text color can be assigned by the inputs lBGClr and lFGClr.

Depending on the type selection in the parameter dialog the pressing of the button or the state of the switch is written to the output bPress. If the type is “Button (signal on button down)” or “Button (signal on button up)” then the output bPress changes for one program cycle from LOW to HIGH after the button is pressed. If the object is a switch then HIGH is output in the states “pressed” and “disabled + pressed”. In the other states LOW is written to bPress.

HMI Object:

The HMI-object displays a button or a switch. It can be labeled with a text and state dependent background bitmaps. If the alignment is set to “Bitmap and Text centred” then large pictures can conceal the edges of the button. Other shapes can be easily assigned with the help of this feature. e.g. flat buttons or check boxes.

Parameter:

In the parameter dialog a HMI object of the type “Bitmap Button / Switch” is assigned to the function block.

Using the context menu of the function block the mask designer can be invoked as the parameter dialog. The mask designer is used to create the assignment to the HMI object. Now the preferences of the HMI object can be set with the help of the mask designer.

The type selection in the parameter dialog of the object determines whether the object is a button or a switch. A button is only pressed as long as the mouse button is pressed. The button returns to normal state when the mouse button is released. A switch persists after the first pressing in the state “pressed” and changes only after another use back to normal state. Furthermore two button types are distinguished. One writes an edge to the output of the function block when the button is pressed and the other when it is released.

The state dependent background and text colors, the font as well as the default values for the bitmaps and the texts and their alignment are configured in the parameter dialog. A language specific text resource or a plain text can be assigned to label the button.

Signals:

Name

I/O

Type(s)

Function

sText

I

TEXT, DYNTEXT

Plain text

iText

I

WORD

Text resource (ID)

iBmp2

I

WORD

Bitmap resource (ID) – pressed

iBmp1

I

WORD

Bitmap resource (ID) – normal

iBmp4

I

WORD

Bitmap resource (ID) – disabled + pressed

iBmp3

I

WORD

Bitmap resource (ID) – disabled

bShow

I

BIT

Show / hide object

bEnable

I

BIT

Enable / disable

iLang

I

WORD

Language resource (ID)

lBGClr

I

LONG

Background color

lFGClr

I

LONG

Text color

bPress

O

BIT

button pressed or switch state

Note: If inputs are not connected the object appears with the corresponding default parameters that have been entered in the mask designer. Otherwise the input signal from the function block overwrites the according setting from the parameter dialog.

Visualization:

The colored highlight in the function block indicates, whether a HMI object is assigned or not.


Button-List

Symbol:

Description:

This function block is used to refer to a button list in a HMI, where up to 16 buttons are combined into one single object.

The input bShow is used to show or hide the HMI object. The button list can be enabled or disabled by the input bEnab. At the input lInpBNM a value is given which represents a bit mask. This bit mask spezifies which buttons of the list are selected. The input bTrigBNM is used to to assign that selection to the list. The background color of the object can be assigned by the input lBGClr. The background and the text color for the selected buttons are set by the inputs lPBgC and lPTC. For the not selected colors the same can be done with the inputs lNPBgC and lNPTC. The input iLang is used to select the language for the used text and bitmap resources.

With a change from LOW to HIGH on the input bLftUp the button list can be scrolled to the left or upwards and on the input bRghDwn to the right or downwards. The outputs bLUEnab and bRDEnab indicate by a HIGH signal, that scrolling in that direction is possible.

The actual selection of currently pressed buttons is given to the output lBtnNmb as a bit mask. The output bEdge indicates that any button on the list was pressed.

HMI-Object:

The HMI object displays a list of up to 16 buttons in a vertical or horizontal direction. This list can work as a radio button (only one selection is possible) or as a selection list (where multiple selections are possible). If the list of the buttons is larger than the object itself, the list can be scrolled.

Parameter:

In the parameter dialog a HMI object of the type “Button List (unicode)” is assigned to the function block.

Using the context menu of the function block the mask designer can be invoked as the parameter dialog. The mask designer is used to create the assignment to the HMI object. Now the preferences of the HMI object can be set with the help of the mask designer.

The parameter dialog of the object consists of two views. The tabs in the upper left corner are used to switch between the views.

The global settings for the HMI-object and the list elements are entered in the view “General”. The direction of the list (vertical or horizontal) can be selected. It can be set, whether the list can contain a single or multiple selections. The general display style of the list (with or without frame, raised or recessed) can be selected. The default values for the language and the font for text display and the alignment of displayed bitmaps can be defined. The height of the buttons is specified in pixels. After activating the option “Adjust the object height” the list box is shortened to a multiple of the height of the elements. If the list is used in horizontal direction, this applies to the width (instead of height). The other option is used to disable the button list. Furthermore the default values of the colors for the background and the buttons with their different states can be selected.

The second view contains the predefined buttons. The context menu provides commands for the adding of new buttons as well as the editing, deleting, selecting and moving of existing ones.

The definition of the single buttons happens in its own dialog. The index of the list element is specified by “Button-ID”. The first element gets the index 0. The option “highlighted” is used to select that button. Furthermore the bitmaps for the different states of the button can be selected. A Plain text or a text resource can be displayed on the button. The alignment of the button and the text can be chosen. The global parameter will be used if “default” is chosen. Then all elements can be uniformly formatted.

Signals:

Name

I/O

Type(s)

Function

lInpBNM

I

LONG

Bit mask for the preselection of pressed buttons

lBGClr

I

LONG

Background color of the object

IPBgC

I

LONG

Background color of pressed buttons

IPTC

I

LONG

Text color of pressed buttons

INPBgC

I

LONG

Background color of not pressed buttons

INPTC

I

LONG

Text color of not pressed buttons

bShow

I

BIT

Show/hide the button list

bEnable

I

BIT

Enable/disable the button list

iLang

I

WORD

Language resource (ID)

bTriBNM

I

BIT

Assign the input lInpBNM

bLftUp

I

BIT

Scroll to left/upwards

bRghDwn

I

BIT

Scroll to right/downwards

lBtnNmb

O

LONG

Indicates the pressed buttons as a bit mask

bEdge

O

BIT

Indicates a button is pressed

bLUEnab

O

BIT

State for scroll left/up

bRDEnab

O

BIT

State for scroll right/down

Note: If inputs are not connected the object appears with the corresponding default parameters that have been entered in the mask designer. Otherwise the input signal from the function block overwrites the according setting from the parameter dialog.

Visualization:

The colored highlight in the function block indicates, whether a HMI object is assigned or not.

Comment:

To extract the information from the LONG value about the single bits, use a converter to transform it into a BIT vector. Then every single bit can be accessed.

Example:

The following example shows an application to realize a tabulator like functionality with a button list. The list works as a radio button. The button list object is connected to two bitmap button objects to enable scrolling within the list. The output lBtnNmb, which contains the button selection, is connected to a converter function block to transform it into a BIT vector. This vector is broken into its elements by a vector split function block. These values are used to show or hide several defined HMI masks. The buttons left and right to the button list are used to scroll the list to any position to display currently unavailable buttons.

The view in the HMI might look like this:


Chart

Symbol:

Description:

This function block is used to refer to a chart in a HMI, which can display trend lines defined by values given out of a matrix.

The matrix with the values will be connected to the input MX. Every row in the matrix represents one of the trend lines. The chart can display six lines at most, so only the first six rows are read and more rows will be ignored.

The number of sampling points for every trend line doesn’t depend on the size of the matrix. The user can decide, if the display of the trend lines depends on the scaling of the X-axes or is completely independent. If the input iScaleX IS NOT connected, the number of drawn line segments will be calculated by the difference of the maximum and minimum X value. If the input iScaleX IS connected, its value defines the number of line segments. This means there will be iScaleX+1 points used and interconnected to form the line.

The input iOff is used to set the offset, which defines the index of the starting point within a row to read the values. If more points are needed than values remain in the row, the object starts reading again at the beginning of the row. If the offset is larger than the number of elements in a row, this offset is ignored and the values are read from the beginning.

The minimum and maximum values of both axes can be set by the inputs lMinX and lMaxX or lMinY and lMaxY.

The input bShow is used to show or hide the HMI object. The input bEnab is used to set the chart active or inactive (grayed out). The update of the display is controlled with bTrig. When the input changes from LOW to HIGH the chart will be updated.

HMI-Object:

The HMI object displays the course of up to 6 signals. If the chart has to display more values than the number of points possible to draw, for every sample point the maximum and minimum value is saved. In the case of many values and a short chart object for every signal actually two lines will be drawn, which will describe the envelope of the original input values.

Parameter:

In the parameter dialog a Chart HMI object is assigned to the function block.

Using the context menu of the function block the mask designer can be invoked as the parameter dialog. The mask designer is used to create the assignment to the HMI object. Now the preferences of the HMI object can be set with the help of the mask designer.

The parameter dialog of the object is used to select the language depending font for thescales. The display style of the scales, the minimum and maximum value and the number of tics can be set for both axes. Additionally the colors for the different elements of the object can be selected. Here it is possible to decide if a grid is shown or not.

Signals:

Name

I/O

Type(s)

Function

MX

I

Data type independent

Plain text

iOff

I

WORD

Offset

iScaleX

I

WORD

Number of line segments to be drawn

lMinX

I

LONG

Minimum of the X scale

lMaxX

I

LONG

Maximum of the X scale

lMaxY

I

LONG

Maximum of the Y scale

lMinY

I

LONG

Minimum of the Y scale

bShow

I

BIT

Show/hide chart

bEnab

I

BIT

Enable/disable chart

bTrig

I

BIT

Update chart (change LOW-> HIGH)

Note: If inputs are not connected the object appears with the corresponding default parameters that have been entered in the mask designer. Otherwise the input signal from the function block overwrites the according setting from the parameter dialog.

Visualization:

The colored highlight in the function block indicates, whether a HMI object is assigned or not.

Comment:

The data type of the input MX will be defined by connection a signal.

The input lMinX and lMaxX have to be connected both or not at all.

The input lMinY and lMaxY have to be connected both or not at all.

Example:

Given is a 1x10 matrix with the values {(0,10,1,9,2,8,3,7,4,6)}. The offset is set to 0, so the chart line will be start drawing with the first element of the matrix.

Is iXScale is set to 4, then the line will consist of four segments, which means the first five points are used as sample points for the line.

Is iXScale is set to 99, then the line will consist of 99 segments, which means 100 points are used as sample points for the line and so the ten existing points are used again and again.


LED

Symbol:

Description:

This function block is used to refer to a LED in a HMI, which is a simple graphical object able to be displayed in a selected color.

The input bShow is used to show or hide the HMI-object. Via bLight the status of the LED is set. The LED is switched on with a HIGH signal. The corresponding color is defined at the input lFGClr. Is a LOW signal written to bOn, then the LED is switched off and it is displayed with the color that is connected to lBGClr.

HMI Object:

The HMI object displays a rectangular, triangular or round LED. It can be switched between two selected colors.

Parameter:

In the parameter dialog a LED HMI object is assigned to the function block.

Using the context menu of the function block the mask designer can be invoked as the parameter dialog. The mask designer is used to create the assignment to the HMI object. Now the preferences of the HMI object can be set with the help of the mask designer.

The shape and the default values for the colors are defined in the parameter dialog of the object.

Signals:

Name

I/O

Type(s)

Function

bLight

I

BIT

Control signal

bShow

I

BIT

Hide/show LED

lFGClr

I

LONG

Color of the switched on LED

lBGClr

I

LONG

Color of the switched off LED

Note: If inputs are not connected the object appears with the corresponding default parameters that have been entered in the mask designer. Otherwise the input signal from the function block overwrites the according setting from the parameter dialog.

Visualization:

The colored highlight in the function block indicates, whether a HMI object is assigned or not.


List Box

Symbol:

Description:

This function block is used to refer to a list box in a HMI, which allows the user to select an element form the listed content.

The input bShow is used to show or hide the HMI object. It is enabled with a HIGH signal on the input bEnable and disabled with a LOW signal. The inputs bSelTrig and iSelIdx are used to select a list element. If a HIGH signal is connected with bSelTrig then iSelIdx determines the position of the selected element. A LOW-HIGH edge at the inputs bUp and bDown scrolls the list page by page up and down. A HIGH signal is written to the outputs bUpEnab or bDwEnab when it is possible to scroll in the corresponding direction.

The inputs iBIPVec, iBINVec, iTIdVec, sTxtVec and sDatVec are used to create new or change the existing list elements. The first element of each vector that is connected with one of these inputs configures a feature of the first list element. And the second elements of the vectors define the second list element and so on. The bitmaps for not selected list elements are set at input iBINVec. And the vector that is connected with iBIPVec defines the bitmaps of the selected elements. The labels are specified at the inputs iTIdVec (text resources) or sText (plain text). And the vector at sDatVec contains the data text for the list elements. If a HIGH signal is written to bTrig then the settings in the vectors are assigned. The existing list elements will be changed or new ones will be added. All the vectors have to contain the same number of elements! Resource texts prevail over plain texts and combinations of data and plain texts, i.e. if a resource ID different to “not defined” is assigned then the corresponding resource text is displayed. The language of the bitmap and text resources is set at input iLang.

The input lBGClr is used to define the background color of the object. The inputs lPBgC and lPTC are used to set the background and text color for the selected element and lNPBgC and lNPTC for the not selected elements.

The index of the selected element is written to iPosX. If no element is selected then -1 is output. The outputs sDatVal and sTxtVal are used to provide the data of the selected element. The length of the output is limited to 17 characters.

The output bEdge will set to HIGH for one cycle if an element is selected.

HMI Object:

The HMI object displays a vertical list with single element selection. Two bitmaps for the states “selected” and “not selected” as well as a text can be assigned to every list element.

Parameter:

In the parameter dialog a HMI object of the type “List Box (unicode)” is assigned to the function block.

Using the context menu of the function block the mask designer can be invoked as the parameter dialog. The mask designer is used to create the assignment to the HMI object. Now the preferences of the HMI object can be set with the help of the mask designer.

The parameter dialog of the object consists of two views. The tabs in the upper left corner are used to switch between the views.

The global settings for the HMI-object and the list elements are entered in the view “General”. The frame and the background color of the list box as well as the default value for the language and the font for the text outputs belong to them. Different background colors can be assigned to selected and not selected list elements. Not only selections but also an enabled or disabled list box can be highlighted with the text color. The default values for the alignment of the bitmaps and texts as well as for the display of data and plain texts are used to uniformly configure all predefined elements. These settings will also be used when further elements are added to the list via the function block. The height of the elements is specified in pixels. After activating the option “Adjust the object height” the list box is shortened to a multiple of the height of the elements. The other option is used to disable the list box.

The second view contains the predefined elements. The context menu provides commands for the adding of new elements as well as the editing, deleting, selecting and moving of existing ones.

The definition of the single elements happens in its own dialog. The index of the list element is specified after “Item-ID”. The first element gets the index 0. The option “highlighted” is used to select the element. Furthermore the two bitmaps, a text and a data string can be assigned. The element can be labeled with a resource text, a plain text or a combination of data and plain text. If a resource text is specified then it will be output. The plain text or a combination of data and plain text are only displayed if the resource text is set to “not defined”. The output of the plain text and the data is configured in the “Display” setting. Every list element can get its own alignment and display parameter. The global parameter will be used if “default” is chosen. Then all elements can be uniformly formatted.

Signals:

Name

I/O

Type(s)

Function

sTxtVec

I

TEXT

Plain text vector for labeling the elements

iTIdVec

I

WORD

Text resource vector (ID) for labeling the elements

iDatVec

I

WORD

Data vector for the elements

iBIPVec

I

WORD

Bitmap resource vector (ID) for selected elements

iBINVec

I

WORD

Bitmap resource vector (ID) for not selected elements

iSelIdx

I

WORD

Index of the element that is to select

bSelTrig

I

BIT

Select the entry iSelIdx

bUp

I

BIT

Scroll upwards

bDown

I

BIT

Scroll downwards

bShow

I

BIT

Show/hide list box

bEnable

I

BIT

Enable/disable list box

iLang

I

WORD

Language resource (ID)

bTrig

I

BIT

Set the element definitions

lBGClr

I

LONG

Background color of the object

lPBgC

I

LONG

Background color of the selected element

lPTC

I

LONG

Text color of the selected element

lNPBgC

I

LONG

Background color of not selected elements

lNPTC

I

LONG

Text color of not selected element

iPosIdx

O

WORD

Index of the selected element

sDatVal

O

TEXT

Data text of the selected element

sTxtVal

O

TEXT

Text of the selected element

bEdge

O

BIT

Indicator of a selection

bUpEnab

O

BIT

State for scroll up

bDwEnab

O

BIT

State for scroll down

Note: If inputs are not connected the object appears with the corresponding default parameters that have been entered in the mask designer. Otherwise the input signal from the function block overwrites the according setting from the parameter dialog.

Visualization:

The colored highlight in the function block indicates, whether a HMI object is assigned or not.

Comment:

The index of the elements starts always with 0.


Multi Color Bar

Symbol:

Description:

This function block is used to refer to a specific bar in a HMI, which is comprised of a multitude of colored segments.

The input bShow is used to show or hide the HMI object. The input lCInp is connected to a vector containing the color values for the bar. The number of elements of this vector defines the number of segments of the multi color bar. If this input is not connected, the bar will not be drawn. A change from LOW to HIG on the input bTrig will update the bar with the current values from the color vector.

Because this object can also be used as a button, the output bPress indicates a button use.

HMI-Object:

The HMI object displays a horizontal bar which is divided into any number of equally large segments. Every segment can have its own color. The object registers mouse clicks and therefore is able to work as a button. It is possible that only a part of the height of the object is drawn as the bar.

Parameter:

In the parameter dialog a Multi Color Bar HMI object is assigned to the function block.

Using the context menu of the function block the mask designer can be invoked as the parameter dialog. The mask designer is used to create the assignment to the HMI object. Now the preferences of the HMI object can be set with the help of the mask designer.

The parameter dialog of the object is used to define the height of the bar. A value of 0 or greater than the height of the object results, that the complete height of the object is used to draw the bar.

Signals:

Name

I/O

Type(s)

Function

lCInp

I

LONG

Vector with the color values

bShow

I

BIT

Show/hide the object

bTrig

I

BIT

Update the color bar

bPress

O

BIT

Indicates use as a button

Visualization:

The colored highlight in the function block indicates, whether a HMI object is assigned or not.

Comment:

Even if only a part of the height of the object is drawn, the complete area of the abject is used as a button.


Numerc Input

HMI Objects (advanced)

Numeric Input

Symbol:

Description:

This function block is used to refer to an input object for numeric values in a HMI.

The input bShow is used to show or hide numeric input line. The language of the font and text resources that have been selected in the parameter dialog is set at iLang. If the signal on nTrig changes to HIGH then the input value that is connected to sPref is checked and assigned to the object. If bTrig is not connected, the value from sPref us used only once at the start of the program. The input lBGClr can be used to set the background color and lFGClr to set the text color.

The current value of the numeric input line is written to the output sValue. The changing of the current value is signaled with an edge at the output bChge.

HMI Object:

The HMI object displays the left aligned current value in an input line. A modal dialog is opened in the center of the display after the input line has been clicked. Depending on the configuration the modal input dialog is simple or complex.

The simple dialog consists of a line, the number keys, optional keys for the sign and the decimal point and the OK button. After opening the dialog the line is empty. The handling is similar to a calculator. The sign can be changed at any time. The dialog is moved with help of the caption. And the contained button is used to cancel the input.

The complex dialog displays the current value after opening. The value can be deleted character by character with the back key. Or it can be completely removed with the clear key. Because of the missing caption the dialog can't be moved. An additional key is provided to cancel the input.

Parameter:

In the parameter dialog a HMI object of the type “Numeric Input” is assigned to the function block.

Using the context menu of the function block the mask designer can be invoked as the parameter dialog. The mask designer is used to create the assignment to the HMI object. Now the preferences of the HMI object can be set with the help of the mask designer.

The parameter dialog is divided in three sections.

Global settings for the input line as well as for the modal dialog are entered in the section “General”. The initial value and the default value for the language can be specified there. The other parameters determine the length and the range of values. They influence the checking of input values. And they affect the visibility of the keys for the sign and decimal point in the dialog.

The frame type, the colors and the font of the HMI-object are configured in the section “Input line”.

The third section contains the settings for the modal dialog. There are entered the type as well as the font for the line and the keys, their colors and the resource texts for the labels. The size of the line and the keys is calculated on the basis of the selected font and the assigned labels. And the dialog is automatically adapted. Furthermore a timeout can be defined. If the specified time has elapsed after the last pressing of a key or the opening then the input is automatically canceled. And the dialog is closed.

Signals:

Name

I/O

Type(s)

Function

sPref

I

TEXT

Presetting value

bShow

I

BIT

Show / hide object

iLang

I

WORD

Language resource (ID)

bTrig

I

BIT

Set sPref to the object

lBGClr

I

LANG

Background color

lFGClr

I

LANG

Text color

sValue

O

TEXT

Current value

bChg

O

BIT

Current value has been changed

Note: If inputs are not connected the object appears with the corresponding default parameters that have been entered in the mask designer. Otherwise the input signal from the function block overwrites the according setting from the parameter dialog.

Visualization:

The colored highlight in the function block indicates, whether a HMI object is assigned or not.

Comment:

The function block operates only with the data type TEXT for the values. To be able to use numeric data types converter function blocks from the adapter library have to be used.


Pixel Map

Symbol:

Description:

This function block assigns a LONG-Matrix to a Pixel-Map-HMI-object. The HMI object interprets the LONG-values as colors of the pixels and draws the matrix.

The input bShow is used to show or hide the HMI-object. If the signal at the input bUpdate is HIGH, the Matrix on the input MX is transferred to the HMI-object. Otherwise, the display remains unchanged. If no matrix is applied or the input bUpdate was not yet set HIGH, the field is displayed with the background color

HMI-Object:

The HMI-object displays the given LONG-matrix. Each cell is assigned exactly one pixel. The values are interpreted as palette colors or RGB colors. The display of the matrix is aligned to the top left corner of the HMI-object.

The width and the height of the HMI-object determine the maximum visible size of the matrix. At smaller matrices the rest is filled with the background color. Larger matrices will be cut at the edges of the object.

Parameter:

In the parameter dialog a HMI object of the type “Pixel Map” is assigned to the function block.

Using the context menu of the function block the mask designer is opened as the parameter dialog. The mask designer is used to assign the HMI object. And the preferences of the HMI object can be set as well.

The background color of the object can be configured in the parameter dialog. Furthermore it is possible to switch between RGB-values (checked) and palette colors (unchecked).

At RGB values the red part is encoded in the least significant byte of the LONG. The following byte contains the green part. And the third byte is for the blue part. The palette colors can be most easily accessed with help of the HMI parameter blocks.

Signals:

Name

I/O

Type(e)

Functions

MX

I

LONG

Input matrix with the color values

bShow

I

BIT

Show / hide object

bUpdate

I

BIT

Update the display

Note: If inputs are not connected the object appears with the corresponding default parameters. Otherwise the input signals from the function block overwrite the according settings from the parameter dialog.

Visualization:

The colored highlight in the function block indicates, whether a HMI object is assigned or not.

Comment:

Before displaying the LONG matrix the values have to be converted into palette colors. Therefore, to display RGB values (see parameter dialog) a considerable higher computational cost is required.

Generally the computational cost of the pixel map function block is quite high, so make sure while programming to update only if it is really necessary.